class DroneController {
    constructor(drone, audioManager) {
        this.drone = drone;
        this.audioManager = audioManager;
        this.propellerSound = null;
        this.setupAudio();
        this.setupControls();
    }

    setupAudio() {
        this.propellerSound = this.audioManager.createPropellerSound();
    }

    updateAudio() {
        if (this.propellerSound) {
            const speed = Math.abs(this.drone.velocity.y) + 
                         Math.abs(this.drone.velocity.x) + 
                         Math.abs(this.drone.velocity.z);
            const normalizedSpeed = Math.min(speed * 10, 100);
            this.propellerSound.updateSpeed(normalizedSpeed);
        }
    }

    handleCollision() {
        this.audioManager.playCollisionSound();
    }

    handleBoost() {
        this.audioManager.playBoostSound();
    }

    // ... existing code ...
} 